| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::GFTTDetector Class Referenceabstract
2D Features Framework » Feature Detection and Description

Wrapping class for feature detection using the goodFeaturesToTrack function. : More...

`#include <opencv2/features2d.hpp>`

Inheritance diagram for cv::GFTTDetector:

## Public Member Functions
virtual int | getBlockSize () const =0
virtual String | getDefaultName () const CV_OVERRIDE
virtual bool | getHarrisDetector () const =0
virtual double | getK () const =0
virtual int | getMaxFeatures () const =0
virtual double | getMinDistance () const =0
virtual double | getQualityLevel () const =0
virtual void | setBlockSize (int blockSize)=0
virtual void | setHarrisDetector (bool val)=0
virtual void | setK (double k)=0
virtual void | setMaxFeatures (int maxFeatures)=0
virtual void | setMinDistance (double minDistance)=0
virtual void | setQualityLevel (double qlevel)=0
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< GFTTDetector > | create (int maxCorners=1000, double qualityLevel=0.01, double minDistance=1, int blockSize=3, bool useHarrisDetector=false, double k=0.04)
static Ptr< GFTTDetector > | create (int maxCorners, double qualityLevel, double minDistance, int blockSize, int gradiantSize, bool useHarrisDetector=false, double k=0.04)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Wrapping class for feature detection using the goodFeaturesToTrack function. :

## Member Function Documentation

## § create() [1/2]

static Ptr<GFTTDetector> cv::GFTTDetector::create | ( | int | maxCorners = `1000`,
|  | double | qualityLevel = `0.01`,
|  | double | minDistance = `1`,
|  | int | blockSize = `3`,
|  | bool | useHarrisDetector = `false`,
|  | double | k = `0.04`
| ) |  |
| static

Python:
| retval | = | cv.GFTTDetector_create( | [, maxCorners[, qualityLevel[, minDistance[, blockSize[, useHarrisDetector[, k]]]]]] | )
| retval | = | cv.GFTTDetector_create( | maxCorners, qualityLevel, minDistance, blockSize, gradiantSize[, useHarrisDetector[, k]] | )

## § create() [2/2]

static Ptr<GFTTDetector> cv::GFTTDetector::create | ( | int | maxCorners,
|  | double | qualityLevel,
|  | double | minDistance,
|  | int | blockSize,
|  | int | gradiantSize,
|  | bool | useHarrisDetector = `false`,
|  | double | k = `0.04`
| ) |  |
| static

Python:
| retval | = | cv.GFTTDetector_create( | [, maxCorners[, qualityLevel[, minDistance[, blockSize[, useHarrisDetector[, k]]]]]] | )
| retval | = | cv.GFTTDetector_create( | maxCorners, qualityLevel, minDistance, blockSize, gradiantSize[, useHarrisDetector[, k]] | )

## § getBlockSize()

virtual int cv::GFTTDetector::getBlockSize | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GFTTDetector.getBlockSize( |  | )

## § getDefaultName()

virtual String cv::GFTTDetector::getDefaultName | ( |  | ) | const
| virtual

Python:
| retval | = | cv.GFTTDetector.getDefaultName( |  | )

Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.

Reimplemented from cv::Feature2D.

## § getHarrisDetector()

virtual bool cv::GFTTDetector::getHarrisDetector | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GFTTDetector.getHarrisDetector( |  | )

## § getK()

virtual double cv::GFTTDetector::getK | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GFTTDetector.getK( |  | )

## § getMaxFeatures()

virtual int cv::GFTTDetector::getMaxFeatures | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GFTTDetector.getMaxFeatures( |  | )

## § getMinDistance()

virtual double cv::GFTTDetector::getMinDistance | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GFTTDetector.getMinDistance( |  | )

## § getQualityLevel()

virtual double cv::GFTTDetector::getQualityLevel | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GFTTDetector.getQualityLevel( |  | )

## § setBlockSize()

virtual void cv::GFTTDetector::setBlockSize | ( | int | blockSize | ) |
| pure virtual

Python:
| None | = | cv.GFTTDetector.setBlockSize( | blockSize | )

## § setHarrisDetector()

virtual void cv::GFTTDetector::setHarrisDetector | ( | bool | val | ) |
| pure virtual

Python:
| None | = | cv.GFTTDetector.setHarrisDetector( | val | )

## § setK()

virtual void cv::GFTTDetector::setK | ( | double | k | ) |
| pure virtual

Python:
| None | = | cv.GFTTDetector.setK( | k | )

## § setMaxFeatures()

virtual void cv::GFTTDetector::setMaxFeatures | ( | int | maxFeatures | ) |
| pure virtual

Python:
| None | = | cv.GFTTDetector.setMaxFeatures( | maxFeatures | )

## § setMinDistance()

virtual void cv::GFTTDetector::setMinDistance | ( | double | minDistance | ) |
| pure virtual

Python:
| None | = | cv.GFTTDetector.setMinDistance( | minDistance | )

## § setQualityLevel()

virtual void cv::GFTTDetector::setQualityLevel | ( | double | qlevel | ) |
| pure virtual

Python:
| None | = | cv.GFTTDetector.setQualityLevel( | qlevel | )

The documentation for this class was generated from the following file:

- opencv2/features2d.hpp